Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp
Class XMPSchemaMediaManagement

    java.lang.Object
      org.jempbox.xmp.XMPSchema
          org.jempbox.xmp.XMPSchemaMediaManagement

public class XMPSchemaMediaManagement
extends XMPSchema

Define XMP properties that are related to digital asset management.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Field Summary
`static java.lang.String` | `NAMESPACE` The namespace for this schema.

Fields inherited from class org.jempbox.xmp.XMPSchema
`NS_NAMESPACE, prefix, schema`

Constructor Summary
`XMPSchemaMediaManagement(org.w3c.dom.Element element, java.lang.String prefix)` Constructor from existing XML element.
`XMPSchemaMediaManagement(XMPMetadata parent)` Construct a new blank PDF schema.

Method Summary
`void` | `addHistory(ResourceEvent event)` Add a new historical event.
`ResourceRef` | `createDerivedFrom()` Create a new Derived From resource ref that can be populated.
`ResourceRef` | `createManagedFrom()` Create a new Managed From resource ref that can be populated.
`ResourceRef` | `getDerivedFrom()` Get a reference to the original document that this document is derived from.
`java.lang.String` | `getDocumentID()` Get id that identifies all versions of this document.
`java.util.List` | `getHistory()` Get a list of all historical events that have occured for this resource.
`ResourceRef` | `getManagedFrom()` Get a reference to the document prior to it being managed.
`java.lang.String` | `getManager()` Get the name of the asset management system that manages this resource.
`java.lang.String` | `getManageTo()` Get the URI to the managed resource.
`java.lang.String` | `getManageUI()` Get the URI to the managed resource information.
`java.lang.String` | `getVersionID()`
`void` | `removeHistory(ResourceEvent event)` Remove an event from the list of events.
`void` | `setDerivedFrom(ResourceRef resource)` Set or clear the derived from value.
`void` | `setDocumentID(java.lang.String id)` Set the common identifier to all versions of this document.
`void` | `setManagedFrom(ResourceRef resource)` Set or clear the managed from value.
`void` | `setManager(java.lang.String manager)` Set the asset management system that manages this resource.
`void` | `setManageTo(java.lang.String uri)` Set the URI identifying the managed resource.
`void` | `setManageUI(java.lang.String uri)` Set the URI identifying information about the managed resource.
`void` | `setVersionID(java.lang.String id)`

Methods inherited from class org.jempbox.xmp.XMPSchema
`addBagValue, addSequenceDateValue, addSequenceValue, addSequenceValue, getAbout, getBagList, getBooleanProperty, getDateProperty, getElement, getEventSequenceList, getIntegerProperty, getLanguageProperty, getLanguagePropertyLanguages, getSequenceDateList, getSequenceList, getTextProperty, getThumbnailProperty, merge, removeBagValue, removeSequenceDateValue, removeSequenceValue, removeSequenceValue, setAbout, setBooleanProperty, setDateProperty, setIntegerProperty, setLanguageProperty, setTextProperty, setThumbnailProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

  The namespace for this schema.

  See Also:
    Constant Field Values

Constructor Detail

### XMPSchemaMediaManagement

    public XMPSchemaMediaManagement(XMPMetadata parent)

  Construct a new blank PDF schema.

Parameters:
  `parent` - The parent metadata schema that this will be part of.

### XMPSchemaMediaManagement

    public XMPSchemaMediaManagement(org.w3c.dom.Element element,
                                    java.lang.String prefix)

  Constructor from existing XML element.

Parameters:
  `element` - The existing element.
  `prefix` - The schema prefix.

Method Detail

### getDerivedFrom

    public ResourceRef getDerivedFrom()

  Get a reference to the original document that this document is derived from.

  Returns:
    A reference to the derived document, or null if one does not exist.

### createDerivedFrom

    public ResourceRef createDerivedFrom()

  Create a new Derived From resource ref that can be populated. You will still need to call setDerivedFrom after this is created.

  Returns:
    A new blank derived from instance.

### setDerivedFrom

    public void setDerivedFrom(ResourceRef resource)

  Set or clear the derived from value.

  Parameters:
    `resource` - The resource reference to set.
  See Also:
    `createDerivedFrom()`

### setDocumentID

    public void setDocumentID(java.lang.String id)

  Set the common identifier to all versions of this document. It should be based on a UUID.

  Parameters:
    `id` - An identifier for the document.

### getDocumentID

    public java.lang.String getDocumentID()

  Get id that identifies all versions of this document.

  Returns:
    The document id.

### setVersionID

    public void setVersionID(java.lang.String id)

  Parameters:
    `id` - An identifier for the current version.

### getVersionID

    public java.lang.String getVersionID()

  Returns:
    The current version id.

### getHistory

    public java.util.List getHistory()

  Get a list of all historical events that have occured for this resource.

  Returns:
    A list of ResourceEvent objects or null.

### removeHistory

    public void removeHistory(ResourceEvent event)

  Remove an event from the list of events.

  Parameters:
    `event` - The event to remove.

### addHistory

    public void addHistory(ResourceEvent event)

  Add a new historical event.

  Parameters:
    `event` - The event to add to the list of history.

### getManagedFrom

    public ResourceRef getManagedFrom()

  Get a reference to the document prior to it being managed.

  Returns:
    A reference to the managed document.

### createManagedFrom

    public ResourceRef createManagedFrom()

  Create a new Managed From resource ref that can be populated. You will still need to call setManagedFrom after this is created.

  Returns:
    A new blank managed from instance.

### setManagedFrom

    public void setManagedFrom(ResourceRef resource)

  Set or clear the managed from value.

  Parameters:
    `resource` - The resource reference to set.
  See Also:
    `createManagedFrom()`

### setManager

    public void setManager(java.lang.String manager)

  Set the asset management system that manages this resource.

  Parameters:
    `manager` - The name of the asset management system.

### getManager

    public java.lang.String getManager()

  Get the name of the asset management system that manages this resource.

  Returns:
    The name of the asset management system.

### setManageTo

    public void setManageTo(java.lang.String uri)

  Set the URI identifying the managed resource.

  Parameters:
    `uri` - URI to the managed resource.

### getManageTo

    public java.lang.String getManageTo()

  Get the URI to the managed resource.

  Returns:
    The managed resource URI.

### setManageUI

    public void setManageUI(java.lang.String uri)

  Set the URI identifying information about the managed resource.

  Parameters:
    `uri` - URI to the managed resource info.

### getManageUI

    public java.lang.String getManageUI()

  Get the URI to the managed resource information.

  Returns:
    The managed resource information URI.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD